# Object.cpp File Reference

`#include "Object.h"`
`#include "Stub.h"`
`#include "Profile.h"`
`#include "ORB_Core.h"`
`#include "Connector_Registry.h"`
`#include "LocateRequest_Invocation_Adapter.h"`
`#include "debug.h"`
`#include "Dynamic_Adapter.h"`
`#include "IFR_Client_Adapter.h"`
`#include "Remote_Object_Proxy_Broker.h"`
`#include "CDR.h"`
`#include "SystemException.h"`
`#include "PolicyC.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for Object.cpp:

## Namespaces

namespace | TAO

## Defines

#define | TAO_OBJECT_IOR_EVALUATE
#define | TAO_OBJECT_IOR_EVALUATE_RETURN

## Functions

CORBA::Boolean | operator<< (TAO_OutputCDR &cdr, const CORBA::Object *x)
CORBA::Boolean | operator>> (TAO_InputCDR &cdr, CORBA::Object *&x)
CORBA::Object_ptr | Objref_Traits< CORBA::Object >::duplicate (CORBA::Object_ptr p)
void | Objref_Traits< CORBA::Object >::release (CORBA::Object_ptr p)
CORBA::Object_ptr | Objref_Traits< CORBA::Object >::nil (void)
CORBA::Boolean | Objref_Traits< CORBA::Object >::marshal (CORBA::Object_ptr p, TAO_OutputCDR &cdr)

## Variables

TAO::Object_Proxy_Broker *(* | _TAO_Object_Proxy_Broker_Factory_function_pointer )(void)=0

## Define Documentation

#define TAO_OBJECT_IOR_EVALUATE

Value:

    if (!this->is_evaluated_) \
      { \
        ACE_GUARD (ACE_Lock , mon, *this->refcount_lock_); \
        CORBA::Object::tao_object_initialize (this); \
      }

#define TAO_OBJECT_IOR_EVALUATE_RETURN

Value:

    if (!this->is_evaluated_) \
      { \
        ACE_GUARD_RETURN (ACE_Lock , mon, *this->refcount_lock_, 0); \
        if (!this->is_evaluated_) \
          CORBA::Object::tao_object_initialize (this); \
      }

## Function Documentation

CORBA::Object_ptr Objref_Traits< CORBA::Object >::duplicate | ( | CORBA::Object_ptr | p | ) |

CORBA::Boolean Objref_Traits< CORBA::Object >::marshal | ( | CORBA::Object_ptr | p,
|  | TAO_OutputCDR & | cdr
| ) |

CORBA::Object_ptr Objref_Traits< CORBA::Object >::nil | ( | void |  | ) |

void Objref_Traits< CORBA::Object >::release | ( | CORBA::Object_ptr | p | ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | cdr,
|  | const CORBA::Object * | x
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | cdr,
|  | CORBA::Object *& | x
| ) |

## Variable Documentation

TAO::Object_Proxy_Broker*(* _TAO_Object_Proxy_Broker_Factory_function_pointer)(void)=0

| This function pointer is set only when the Portable server library is present.